*-----------------------------------------------------------------------
      subroutine nxvp1c(ncdfid,cvname,mindex,cvalue)

      integer   mindex(*)
      character cvname*(*),cvalue*(*)


      nvarid=ncvid(ncdfid,cvname,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvp1c','error in ncvid.')

      call ncvp1c(ncdfid,nvarid,mindex,cvalue,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvp1c','error in ncvp1c.')

      end
